Skip to main content
GET
Get a waitlist entry

Authorizations

Authorization
string
header
required

Access token issued by POST /sessions and associated with a valid server-side session.

Path Parameters

student_id
string<uuid>
required

UUID identifying this student.

Query Parameters

company_id
string<uuid>
required

Company UUID. Must equal the authenticated session company when that session has a company assigned; the equality check is skipped for sessions without one.

Response

Successful response.

Waitlist.

student_id
string
required

Student id.

first_name
string
required
last_name
string
required
student_name
string
required
school_id
string
required

School id.

school_name
string
required
birth_date
string | null
required
current_age_months
number<double> | null
required
preferred_start_date
string | null
required
preferred_start_date_last_update
string | null
required
preferred_start_date_age_at
number<double> | null
required
preferred_start_date_is_past_date
boolean
required
period_if_room_is_elegible
object[] | null
required
row_has_elegible_room
boolean
required
joined_waitlist
string | null
required
siblings
string
required
has_alerts
boolean
required
is_intellikid_student
boolean
required
school_color_hex
string
required
school_short_name
string
required
procare_desktop_enrollment_status
string | null
required
procare_student_status
string
required